* {
	box-sizing: border-box;
	font-family: 'Karla', sans-serif;
}

h1,h2,h3,h4,h5,h6,p {
	margin: 0;
}

body {
	margin: 0;
	background-color: #0b2434;
	padding: 20px;
}

main{
	min-height:100%;
	display:flex;
	justify-content: center;
	align-items: center;
	flex-direction: row;
	gap: 20px;
}

.container {
	height: 100%;
	background-color: #f5f5f5;
	height: 450px;
	max-width: 450px;
	border-radius: 5px;
	padding: 10px 10px;
	display: flex;
	flex-direction: column;
	justify-content: space-around;
	align-items: center;
}

.dice-container {
	display: grid;
	grid-template: auto auto / repeat(5, 1fr);
	gap: 20px;
	
}

.die-face {
	height: 50px;
	width: 50px;
	box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.15);
	border-radius: 10px;
	display: flex;
	justify-content: center;
	align-items: center;
	cursor: pointer;
}

.die-num {
	font-size: 2rem;
}

.roll-dice {
	height: 50;
	width: 150px;
	border: none;
	border-radius: 5px;
	background-color: #5035ff;
	color: white;
	font-size: 1.2rem;
	font-family: 'Karla', sans-serif;
    cursor:pointer;
}

.roll-dice:focs {
	outline: none;
}

.roll-dice:active {
	box-shadow: inset 5px 5px 10px -3px rgba(0, 0, 0, 0.7);
}

.title {
    font-size: 40px;
    margin: 0;
}

.instructions {
    font-family: 'Inter', sans-serif;
    font-weight: 400;
    margin-top: 0;
    text-align: center;
}

.win-message {
	font-family: 'Inter', sans-serif;
	font-weight: 600;
	margin-top: 0;
	text-align: center;
	margin: 5px;
	padding: 10px;
	border-radius: 5px;
	background-color: green;
	color: white;
	
}

.stats{
	font-family: 'Inter', sans-serif;
	font-weight: 700;
	margin: 10px;
	color: #0b2434;
	text-align: center;
}

.error{
	font-family: 'Inter', sans-serif;
	font-weight: 600;
	margin: 5px;
	color: red;
	text-align: center;
}

.container-top-scores{
	background-color: white;
	width: 450px;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	border-radius: 5px;
	gap: 10px;
	padding: 10px 10px;
	
}

@media only screen and (max-width: 600px) {
	main{
		flex-direction: column;
		min-height: 100vh;
	}

	.container-top-scores{
		width: 100%;
	}
}

.score{
	display: flex;
	flex-direction: row;
	align-items: center;
	gap: 5px;
}

.score-number{
	color: white;
	font-size: 2rem;
	font-weight: bold;
	background-color: #0b2434;
	padding: 5px;
	border-radius: 5px;
}

.score-detail{
	display: flex;
	flex-direction: column;
	align-items: center;
	padding: 5px;
	background-color: #0b2434;
	border-radius: 5px;
	color: white;
}

ul{
	list-style-type: none;
}